unit ChkDao;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   StdCtrls,VersInfo, ComCtrls, ImgList, ExtCtrls;

type
  TForm1 = class(TForm)
    ListView1: TListView;
    ListView2: TListView;
    ListView3: TListView;
    ListView0: TListView;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    ImageList1: TImageList;
    ListView4: TListView;
    Button1: TButton;
    Image1: TImage;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
uses DBVersion;

procedure TForm1.FormCreate(Sender: TObject);
var
        MyItem  : TListItem;
begin
                if ADO_Verson <> Nil then
                        ADO_Verson.VersionListView := ListView0;

                if DAOLIB_Verson <> Nil then
                        DAOLIB_Verson.VersionListView := ListView1;

                if DAO35_Verson <> Nil then
                        DAO35_Verson.VersionListView := ListView2;

                if DAO36_Verson <> Nil then
                        DAO36_Verson.VersionListView := ListView3;

        MyItem := ListView4.Items.Add;
        if not isADO then
        begin
                MyItem.ImageIndex := 0;
                MyItem.SubItems.Add('ADO NOT Installed');
        end
        else
        begin
                MyItem.ImageIndex := 3;
                MyItem.SubItems.Add('ADO Installed');
        end;

        if isADOBELOW25 then
        begin
                MyItem := ListView4.Items.Add;
                MyItem.ImageIndex := 0;
                MyItem.ImageIndex := 1;
                MyItem.SubItems.Add('ADO Below 2.5');
        end;

        if isADO25 then
        begin
                MyItem := ListView4.Items.Add;
                MyItem.ImageIndex := 0;

                MyItem.ImageIndex := 2;
                MyItem.SubItems.Add('ADO 2.5');
        end;


        if isADO26 then
        begin
                MyItem := ListView4.Items.Add;
                MyItem.ImageIndex := 0;

                MyItem.ImageIndex := 1;
                MyItem.SubItems.Add('ADO 2.6');
        end;


        MyItem := ListView4.Items.Add;
        MyItem.ImageIndex := -1;

        MyItem := ListView4.Items.Add;
        if not isDAO then
        begin
                MyItem.ImageIndex := 0;
                MyItem.SubItems.Add('DAO NOT Installed');
        end
        else
        begin
                MyItem.ImageIndex := 3;
                MyItem.SubItems.Add('DAO Installed');
        end;
 

        if isDAO35 then
        begin
                MyItem := ListView4.Items.Add;
                MyItem.ImageIndex := 0;

                MyItem.ImageIndex := 1;
                MyItem.SubItems.Add('DAO 3.5');
        end;

        if isDAO35 then
        begin
                MyItem := ListView4.Items.Add;
                MyItem.ImageIndex := 0;

                MyItem.ImageIndex := 2;
                MyItem.SubItems.Add('DAO 3.6');
        end;

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
        Close;
end;

end.





